package com.sunyard.security.sdf;

/**
 * @author 梁俊杰
 * @date 2024/05/22
 */
public enum AlgorithmEnum {
    /**
     * sm4 ecb 算法标识
     */
    SGD_SM4_ECB(0x00000401),

    /**
     * sm4 ecb 算法标识
     */
    SGD_SM4_CBC(0x00000402),

    /**
     * sm2 算法标识
     */
    SGD_SM2(0x00020100),

    /**
     * sm3 算法标识
     */
    SGD_SM3(0x00000001),

    /**
     * 密码设备存储私钥的索引值
     */
    SM2_INDEX(0x02),

    SGD_SM4_MAC(0x00000410),
    ;


    AlgorithmEnum(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }

    /**
     *  算法标识
     */
    private final int value;
}
