package com.sunyard.security;

import com.sun.jna.Pointer;
import com.sun.jna.ptr.PointerByReference;
import com.sunyard.security.sdf.SDFJna;
import com.sunyard.security.util.ByteUtil;

public class Main {
    private static PointerByReference phDeviceHandle = new PointerByReference();
    private static PointerByReference phSessionHandle = new PointerByReference();;
    private static final byte[] data = new byte[16];
    private static final byte[] symKey = new byte[]{9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9};
    private static final String ip = "172.16.17.245";


    public static void random(){

        int oneSize = 16;
        byte[] oneRadom = new byte[16]; // 注意这里初始化大小应为 oneSize
        int ret = SDFJna.INSTANCE.SDF_GenerateRandom( phSessionHandle.getValue(), oneSize, oneRadom );

        if (ret != 0) {
            throw new RuntimeException(String.format("0x%02X", ret));
        } else {
            System.out.println("调用成功");
        }
        System.out.println( ByteUtil.bytes2HexString( oneRadom ) );
    }


    public static void main(String[] args) {

        // 打开设备
        int ret = SDFJna.INSTANCE.SDF_OpenDevice(
                phDeviceHandle,
                ByteUtil.safeStringBytes(ip),
                8889,
                3000,
                3000,
                0);

        if (ret != 0) {
            System.err.println("打开设备失败 错误码：" + String.format("0x%02X", ret));
            throw new RuntimeException(String.format("0x%02X", ret));
        }
        Pointer hDeviceHandle = phDeviceHandle.getValue();
        // 打开会话
        ret = SDFJna.INSTANCE.SDF_OpenSession(hDeviceHandle, phSessionHandle);
        if (ret != 0) {
            System.err.println("打开设备失败 错误码：" + String.format("0x%02X", ret));
            throw new RuntimeException(String.format("0x%02X", ret));
        }


        try {
            random();

        } finally {
            if ( null !=  phSessionHandle.getValue() ) {
                SDFJna.INSTANCE.SDF_CloseSession( phSessionHandle.getValue() );
            }
            if ( null != phDeviceHandle.getValue() ) {
                SDFJna.INSTANCE.SDF_CloseDevice(phDeviceHandle.getValue());
            }
        }

    }

}
